Competitor AdsTrack a page

Track a page

Track a competitor page. Its first scrape runs within 5 minutes (24 hours after its last scrape when the page was tracked before), then daily.

curl -X POST "https://mythic-analytics.gulp.workers.dev/client/v1/competitor-ads/pages?location_id=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "page_id": "64841063928",
  "label": "Juvenon",
  "country": "US",
  "max_ads": 50
}'
{
  "success": true,
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "page_id": "example_string",
    "country": "USA",
    "label": "example_string",
    "max_ads": 42,
    "active": true,
    "page_name": "John Doe",
    "last_refresh_at": "2024-12-25T10:00:00Z",
    "last_refresh_status": "ok",
    "last_refresh_error": "example_string",
    "last_refresh_counts": {
      "received": 42,
      "inserted": 42,
      "updated": 42,
      "changed": 42,
      "gone": 42,
      "rejected": 42,
      "total_results": 42,
      "returned_ads": 42,
      "pagination_complete": true,
      "ms": 42
    },
    "next_refresh_at": "2024-12-25T10:00:00Z",
    "refreshing": true,
    "created_at": "2024-12-25T10:00:00Z",
    "updated_at": "2024-12-25T10:00:00Z"
  }
}
POST
/client/v1/competitor-ads/pages
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.
query
location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

Content-Typestring
Required

The media type of the request body

Options: application/json
page_idstring
Required

Numeric Facebook page id.

countrystring

ISO alpha-2 code or ALL.

labelstring
Max length: 200
max_adsinteger
Min: 1 • Max: 600
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

Body

application/json
page_idstring
Required

Numeric Facebook page id.

Example:
64841063928
countrystring

ISO alpha-2 code or ALL.

Responses